diff rDiff/examples/get_data.sh @ 0:0f80a5141704

version 0.3 uploaded
author vipints
date Thu, 14 Feb 2013 23:38:36 -0500
parents
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/rDiff/examples/get_data.sh	Thu Feb 14 23:38:36 2013 -0500
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+set -e
+
+echo %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+echo % rDiff examples: get_data.sh %
+echo %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+echo 
+echo This script gets reads and the genome sequence 
+echo for one A.thaliana example.
+echo 
+
+export DATA_DIR=data
+
+if [ -d $DATA_DIR ]
+then
+	echo Data directory ./$DATA_DIR already exists
+	echo \(remove it to run this script again\)
+	exit -1
+fi
+
+echo Downloading rDiff example data from FTP server ...
+wget -c http://cbio.mskcc.org/public/raetschlab/user/drewe/rdiff/example_data.tar.gz
+echo uncompressing ...
+tar -xzf example_data.tar.gz
+mv example_data $DATA_DIR
+echo
+echo -n Done.
+echo